#include <stdlib.h>
#include <SDL/SDL.h>

#define _LVE_ 1
#include "lvedes.h"
#include "display.h"
#include "region.h"
#include "control.h"

static Uint32 decode_timer_callback(Uint32 interval, void *data);

int main(int argc, char *argv[])
{
    char		*fname;
    int           quit, i;
    T_VIDEO	  my_video;
  
    SDL_TimerID	timer_id;

    my_video.stream_num = 0;
    my_video.iv         = IV_NORM;
    my_video.action	= A_STOP;
    my_video.show_fps   = 0;
    my_video.pos_ofs    = 0.0;
    my_video.act_pos	= 0.0;
    my_video.refresh_bg = 1;
  		
    display_init(&my_video, "Linux Video Editor (LVE) V1.0", 0);
    
    if (1) 
    {
      //rg_list_init(&my_video);
    
      //-- install timer --
      timer_id = SDL_AddTimer(IV_NORM, decode_timer_callback, &my_video);
    
      if (timer_id) 
      {
        //-- main event loop --
        control_main(&my_video);
          
        //-- deinstall timer --
        SDL_RemoveTimer(timer_id);
        SDL_Delay(1000);
      }   
      else
        fprintf(stderr, "  error installing SDL-timer\n"); 
 
      rg_list_cleanup();
      
    }
    else
      fprintf(stderr, "  error setting up SDL-display\n"); 

    return 0;
}

static int frame_cnt = 0;
static Uint32 ticks0 = 0;
static int is_running = 0;

//== timer driven decode / display routine ==
//=========================================== 
static Uint32 decode_timer_callback(Uint32 interval, void *data)
{
  T_VIDEO *video = (T_VIDEO *)data;
  
  if (video->refresh_bg) display_refresh(video);
    
  return video->iv;
}

