#ifndef _REGION_H
#define _REGION_H 1

#define RG_EXT_BMP	".bmp"
#define RG_EXT_RECT	".rect"
#define RG_OFF		0
#define RG_ON		1

#define RG_TY_UNDEF	0
#define RG_TY_CHECK	1
#define RG_TY_RADIO	2
#define RG_TY_DOWN	3
#define RG_TY_TOGGLE	4
#define RG_TY_DRAG	5
#define RG_TY_DROP	6
#define RG_TY_TEXT	7
#define RG_TY_SLIDER	8

#define RG_ID_UNDEF	0

#define T_REGION(var, type, id, name, ksym) static region_t var = {type, id, name, ksym, 1, 1, 0, 0, 0, 0, 0, 0, NULL, NULL}
#define T_REGION_TAB(var, type, id, name, c, r) static region_t var = {type, id, name, -1, c, r, 0, 0, 0, 0, 0, 0, NULL, NULL}
  
typedef struct 
{
  int type;
  int id;
  char *name;
  int ksym;
  int cols;
  int rows;
  int flag;
  int page;
  int x;
  int y;
  int w;
  int h;
  SDL_Rect    *dst_rect;
  SDL_Surface *sf[2];
} region_t;


#undef __EXTERN
#ifndef _REGION_
#define __EXTERN extern 
#else
#define __EXTERN
#endif

__EXTERN region_t **rg_list_get(void);
__EXTERN void rg_list_init(T_VIDEO *pvideo);
__EXTERN void rg_list_cleanup(void);
__EXTERN region_t *rg_region_get(int id);
__EXTERN region_t *rg_region_fit(int x, int y);
__EXTERN void rg_region_draw(region_t *rg, int flag);
__EXTERN void rg_region_down(region_t *rg);
__EXTERN void rg_region_up(int x, int y);
 
#endif // _REGION_H 
